<template>
	<!-- 质检单 -->
	<view class="">
		<view class="img-wrap" v-if="imgList.length > 0">
			<image class="image" :src="apiUrl + item.accessUrl" mode="" v-for="item in imgList"></image>
		</view>
		<view class="u-empty" v-else>
			<u-empty>
			</u-empty>
		</view>
	</view>
</template>

<script>
	import {
		get
	} from '@/utils/api.js'

	export default {
		props: ['batchNum', 'inventoryCode','code'],
		data() {
			return {
				imgList: []
			}
		},
		created() {
			this.getdata()
		},
		methods: {
			getdata() {
				let par = {
					batchNum: this.batchNum,
					inventoryCode: this.inventoryCode,
					code:this.code
				}
				par = this.URLSearchParams(par)
				get(this.apiUrl + "/InventoryBook/select/getAnalysisCertificate?" + par).then((res) => {
					if (res.success) {
						this.imgList = res.data || []
					}
				});
			}
		}
	}
</script>

<style lang="scss" scoped>
	.image {
		width: 100%;
	}
	.u-empty{
		padding: 30rpx;
	}
</style>